Cancel Subscription Immediately
Subscription
Cancel Subscription Immediately
Cancel subscription immediately, no proration invoice will generate
POST
Cancel Subscription Immediately
Endpoint Overview
POSThttps://api.unibee.dev/merchant/subscription/cancel
Cancel subscription immediately, no proration invoice will generate
Authorization
All UniBee Merchant API requests require authentication via API key.| Header | Required | Description |
|---|---|---|
Authorization | Yes | Bearer <your_api_key> |
Content-Type | Yes | application/json (for request body) |
Parameters
Parameters for this endpoint are listed below. The schema is also shown in the Try it panel.Request body
| Name | Type | Required | Description |
|---|---|---|---|
invoiceNow | boolean | No | Default false |
productId | integer | No | default product will use if productId not specified and subscriptionId is blank |
prorate | boolean | No | Prorate Generate Invoice,Default false |
reason | string | No | Reason |
subscriptionId | string | No | SubscriptionId, id of subscription, either SubscriptionId or UserId needed, The only one active subscription of userId will effect |
userId | integer | No | UserId, either SubscriptionId or UserId needed, The only one active subscription will effect if userId provide instead of subscriptionId |
Request examples
cURL
Sandbox
Response
Success responses return a JSON envelope withcode, data, message, redirect, and requestId. code 0 indicates success. The response schema for this endpoint is shown below.
Error handling
| HTTP status | Meaning |
|---|---|
| 400 | Bad request — invalid or missing parameters. Check message in the body. |
| 401 | Unauthorized — missing or invalid API key. |
| 404 | Not found — invalid path or resource. |
| 500 | Server error — retry with backoff. |
code in the response body is non-zero, check message for details. Use requestId when contacting support.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Cancel subscription immediately, no proration invoice will generate
Default false
default product will use if productId not specified and subscriptionId is blank
Prorate Generate Invoice,Default false
Reason
SubscriptionId, id of subscription, either SubscriptionId or UserId needed, The only one active subscription of userId will effect
UserId, either SubscriptionId or UserId needed, The only one active subscription will effect if userId provide instead of subscriptionId

